Package org.apache.solr.client.solrj.request.schema

# Class SchemaRequest.GlobalSimilarity

java.lang.Object
org.apache.solr.client.solrj.SolrRequest<SchemaResponse.GlobalSimilarityResponse>
org.apache.solr.client.solrj.request.CollectionRequiringSolrRequest<SchemaResponse.GlobalSimilarityResponse>
org.apache.solr.client.solrj.request.schema.AbstractSchemaRequest<SchemaResponse.GlobalSimilarityResponse>
org.apache.solr.client.solrj.request.schema.SchemaRequest.GlobalSimilarity

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `SchemaRequest`

public static class SchemaRequest.GlobalSimilarity extends AbstractSchemaRequest<SchemaResponse.GlobalSimilarityResponse>
Retrieves the class name of the global similarity defined (if any) in the schema.

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.ApiVersion, SolrRequest.METHOD, SolrRequest.SolrClientContext, SolrRequest.SolrRequestType`

## Field Summary

### Fields inherited from class org.apache.solr.client.solrj.SolrRequest

`SUPPORTED_METHODS`

## Constructor Summary

Constructors
Constructor
Description
`GlobalSimilarity()`
`GlobalSimilarity(SolrParams q)`

## Method Summary

Modifier and Type
Method
Description
`protected SchemaResponse.GlobalSimilarityResponse`
`createResponse(NamedList<Object> namedList)`
Create a new SolrResponse to hold the response from the server.

### Methods inherited from class org.apache.solr.client.solrj.request.schema.AbstractSchemaRequest

`getParams`

### Methods inherited from class org.apache.solr.client.solrj.request.CollectionRequiringSolrRequest

`requiresCollection`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`addHeader, addHeaders, getApiVersion, getBasicAuthPassword, getBasicAuthUser, getCollection, getContentStreams, getContentWriter, getHeaders, getMethod, getPath, getPreferredNodes, getQueryParams, getRequestType, getResponseParser, getStreamingResponseCallback, getUserPrincipal, process, process, processWithBaseUrl, setBasicAuthCredentials, setMethod, setPath, setPreferredNodes, setQueryParams, setRequestType, setResponseParser, setStreamingResponseCallback, setUserPrincipal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GlobalSimilarity

public GlobalSimilarity()

### GlobalSimilarity

public GlobalSimilarity(SolrParams q)

## Method Details

### createResponse

protected SchemaResponse.GlobalSimilarityResponse createResponse(NamedList<Object> namedList)
Description copied from class: `SolrRequest`
Create a new SolrResponse to hold the response from the server. If the response extends `SolrResponse`, then there's no need to use the arguments, as `SolrResponse.setResponse(NamedList)` will be called right after this method.

Specified by:
  `createResponse` in class `SolrRequest<SchemaResponse.GlobalSimilarityResponse>`
Parameters:
  `namedList` - from `SolrClient.request(SolrRequest, String)`.